System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object System.Collections.ICollection

The class represents the <SignedInfo> element of an XML signature defined by the XML digital signature specification. The <SignedInfo> element, which is a subelement of the <Signature> element, contains the canonicalization method used for signing, the algorithm used for signing and validation, and references that describe a digital signature.

For most scenarios, you should use the class available from the property to sign and verify XML digital signatures.

For more information about the <SignedInfo> element, see the World Wide Web Consortium (W3C) specification at www.w3.org/TR/xmldsig-core/.

Contains information about the canonicalization algorithm and signature algorithm used for the XML signature.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method adds a object to a collection that is accessible using the property.

  Adds a object to the list of references to digest and sign.

  The reference to add to the list of references.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  The property uses a string Uniform Resource Identifier (URI) to represent the <Canonicalization> element of an XML digital signature.

  Use the property to specify the canonicalization algorithm applied to the XML output of the class before performing signature calculations.

  Use one of the URIs listed in the following table with this property.

  Canonicalization Method

  Value

  Canonical XML

  http://www.w3.org/TR/2001/REC-xml-c14n-20010315

  Also defined in the following static field:

  Canonical XML with comments

  http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments

  Also defined in the following static field:

  Exclusive Canonical XML

  http://www.w3.org/2001/10/xml-exc-c14n#

  Also defined in the following static field:

  Exclusive Canonical XML with comments

  http://www.w3.org/2001/10/xml-exc-c14n#WithComments

  Also defined in the following static field:

  Minimal Canonical XML

  http://www.w3.org/2000/09/xmldsig#minimal

  Also defined in the following static field:

  For more information about XML digital signatures, see the World Wide Web Consortium (W3C) specification at www.w3.org/TR/xmldsig-core/.

  Gets or sets the canonicalization algorithm that is used before signing for the current object.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Cryptography.Xml.Transform To be added.

  The property contains the object used by the class to canonicalize an XML document before signing or verifying.

  The property is read-only. You can modify the object within this property by passing the desired transform Uniform Resource Identifier (URI) to the property.

  Gets a object used for canonicalization.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the elements of this instance into an object, starting at a specified index in the array.

  An object that holds the collection's elements. The beginning index in the array where the elements are copied.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 a To be added

  Gets the number of references in the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Returns an enumerator that iterates through the collection of references.

  An enumerator that iterates through the collection of references.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement To be added

  Returns the XML representation of the object.

  The XML representation of the instance.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  Use the property to add a string ID to the XML representation of the current element. The ID is used to reference the from another location.

  Gets or sets the ID of the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean a To be added

  Gets a value that indicates whether the collection is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean a To be added

  Gets a value that indicates whether the collection is synchronized.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Loads a state from an XML element.

  The XML element from which to load the state.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ArrayList a

  The property uses a list of objects to represent the <Reference> elements of an XML digital signature.

  Use the property to describe the transforms, digest algorithms, and digest values of an XML digital signature.

  For more information about XML digital signatures, see the World Wide Web Consortium (W3C) specification at www.w3.org/TR/xmldsig-core/.

  Gets a list of the objects of the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a To be added

  Gets or sets the length of the signature for the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  The property uses a string Uniform Resource Identifier (URI) to represents the <SignatureMethod> element of an XML digital signature.

  Use the property to specify the algorithm to use for signature generation and verification. This property identifies all cryptographic functions involved in creating an XML digital signature, including hashing, public key algorithms, Message Authentication Codes (MACs), and padding.

  Use one of the URIs in the following table with this property.

  Signature Method

  Value

  HMAC-SHA1

  http://www.w3.org/2000/09/xmldsig#hmac-sha1

  Also defined in the following static field:

  DSA with SHA1

  http://www.w3.org/2000/09/xmldsig#dsa-sha1

  Also defined in the following static field:

  RSA with SHA1

  http://www.w3.org/PICS/DSig/RSA-SHA1_1_0.html

  Also defined in the following static field:

  For more information about XML digital signatures, see the World Wide Web Consortium (W3C) specification at www.w3.org/TR/xmldsig-core/.

  Gets or sets the name of the algorithm used for signature generation and validation for the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object a To be added

  Gets an object to use for synchronization.